net.sf.jasperreports.engine

## Interface JRRenderable

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    ImageMapRenderable, JRImageMapRenderer, Renderable
  All Known Implementing Classes:
    AwtComponentRenderer, BarbecueRenderer, BatikRenderer, DrawChartRenderer, JCommonDrawableRenderer, JFreeChartRenderer, JRAbstractRenderer, JRAbstractSvgRenderer, JRImageRenderer, JRSimpleImageMapRenderer, JRVirtualPrintPage.JRIdHolderRenderer, JRWrappingSvgRenderer, UnusedSpaceImageRenderer, WrappingImageMapRenderable, WrappingRenderable

  Deprecated.
  Replaced by `Renderable`.

      public interface JRRenderable
      extends java.io.Serializable

  Version:
    $Id: JRRenderable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `IMAGE_TYPE_GIF` Deprecated. Replaced by `ImageTypeEnum.GIF`.
    `static byte` | `IMAGE_TYPE_JPEG` Deprecated. Replaced by `ImageTypeEnum.JPEG`.
    `static byte` | `IMAGE_TYPE_PNG` Deprecated. Replaced by `ImageTypeEnum.PNG`.
    `static byte` | `IMAGE_TYPE_TIFF` Deprecated. Replaced by `ImageTypeEnum.TIFF`.
    `static byte` | `IMAGE_TYPE_UNKNOWN` Deprecated. Replaced by `ImageTypeEnum.UNKNOWN`.
    `static java.lang.String` | `MIME_TYPE_GIF` Deprecated. Replaced by `ImageTypeEnum.GIF`.
    `static java.lang.String` | `MIME_TYPE_JPEG` Deprecated. Replaced by `ImageTypeEnum.JPEG`.
    `static java.lang.String` | `MIME_TYPE_PNG` Deprecated. Replaced by `ImageTypeEnum.PNG`.
    `static java.lang.String` | `MIME_TYPE_TIFF` Deprecated. Replaced by `ImageTypeEnum.TIFF`.
    `static java.lang.String` | `PROPERTY_IMAGE_DPI` Deprecated. Replaced by `Renderable.PROPERTY_IMAGE_DPI`.
    `static byte` | `TYPE_IMAGE` Deprecated. Replaced by `RenderableTypeEnum.IMAGE`.
    `static byte` | `TYPE_SVG` Deprecated. Replaced by `RenderableTypeEnum.SVG`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Dimension2D` | `getDimension()` Deprecated. Replaced by `Renderable.getDimension(JasperReportsContext)`.
    `java.lang.String` | `getId()` Deprecated. Replaced by `Renderable.getId()`.
    `byte[]` | `getImageData()` Deprecated. Replaced by `Renderable.getImageData(JasperReportsContext)`.
    `byte` | `getImageType()` Deprecated. Replaced by `Renderable.getImageTypeValue()`.
    `byte` | `getType()` Deprecated. Replaced by `Renderable.getTypeValue()`.
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `Renderable.render(JasperReportsContext, Graphics2D, Rectangle2D)`.

- - ### Field Detail

    - #### PROPERTY_IMAGE_DPI

          static final java.lang.String PROPERTY_IMAGE_DPI

      Deprecated. Replaced by `Renderable.PROPERTY_IMAGE_DPI`.
      See Also:
        Constant Field Values

    - #### TYPE_IMAGE

          static final byte TYPE_IMAGE

      Deprecated. Replaced by `RenderableTypeEnum.IMAGE`.
      See Also:
        Constant Field Values

    - #### TYPE_SVG

          static final byte TYPE_SVG

      Deprecated. Replaced by `RenderableTypeEnum.SVG`.
      See Also:
        Constant Field Values

    - #### IMAGE_TYPE_UNKNOWN

          static final byte IMAGE_TYPE_UNKNOWN

      Deprecated. Replaced by `ImageTypeEnum.UNKNOWN`.
      A constant used for specifying that the image is of unknown type
      See Also:
        Constant Field Values

    - #### IMAGE_TYPE_GIF

          static final byte IMAGE_TYPE_GIF

      Deprecated. Replaced by `ImageTypeEnum.GIF`.
      A constant used for specifying that the image is of GIF type
      See Also:
        Constant Field Values

    - #### IMAGE_TYPE_JPEG

          static final byte IMAGE_TYPE_JPEG

      Deprecated. Replaced by `ImageTypeEnum.JPEG`.
      A constant used for specifying that the image is of the JPEG type
      See Also:
        Constant Field Values

    - #### IMAGE_TYPE_PNG

          static final byte IMAGE_TYPE_PNG

      Deprecated. Replaced by `ImageTypeEnum.PNG`.
      A constant used for specifying that the image is of the PNG type
      See Also:
        Constant Field Values

    - #### IMAGE_TYPE_TIFF

          static final byte IMAGE_TYPE_TIFF

      Deprecated. Replaced by `ImageTypeEnum.TIFF`.
      A constant used for specifying that the image is of the TIFF type
      See Also:
        Constant Field Values

    - #### MIME_TYPE_GIF

          static final java.lang.String MIME_TYPE_GIF

      Deprecated. Replaced by `ImageTypeEnum.GIF`.
      See Also:
        Constant Field Values

    - #### MIME_TYPE_JPEG

          static final java.lang.String MIME_TYPE_JPEG

      Deprecated. Replaced by `ImageTypeEnum.JPEG`.
      See Also:
        Constant Field Values

    - #### MIME_TYPE_PNG

          static final java.lang.String MIME_TYPE_PNG

      Deprecated. Replaced by `ImageTypeEnum.PNG`.
      See Also:
        Constant Field Values

    - #### MIME_TYPE_TIFF

          static final java.lang.String MIME_TYPE_TIFF

      Deprecated. Replaced by `ImageTypeEnum.TIFF`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          java.lang.String getId()

      Deprecated. Replaced by `Renderable.getId()`.

    - #### getType

          byte getType()

      Deprecated. Replaced by `Renderable.getTypeValue()`.

    - #### getImageType

          byte getImageType()

      Deprecated. Replaced by `Renderable.getImageTypeValue()`.

    - #### getDimension

          java.awt.geom.Dimension2D getDimension()
                                                 throws JRException

      Deprecated. Replaced by `Renderable.getDimension(JasperReportsContext)`.
      Throws:
        `JRException`

    - #### getImageData

          byte[] getImageData()
                              throws JRException

      Deprecated. Replaced by `Renderable.getImageData(JasperReportsContext)`.
      Throws:
        `JRException`

    - #### render

          void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Deprecated. Replaced by `Renderable.render(JasperReportsContext, Graphics2D, Rectangle2D)`.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com